// #autoload
// #name = ChainFOV
// #version = 1.0
// #date = January 10th, 2002
// #author = include
// #email = include@nullmind.net
// #description = Sets FOV to 90 when firing CG
// #status = finished

package ChainFOV
{

function mouseFire(%val)
{
  parent::mouseFire(%val);

  if(!$ZoomOn)
  {
    if(%val && $ChainZoom)
      setFov("90");
    else
      setFov("120");
  }
}

function clientCmdSetWeaponsHudActive(%slot, %ret, %vis)
{
  parent::clientCmdSetWeaponsHudActive(%slot, %ret, %vis);

  if(%slot == 2)
    $ChainZoom = true;
  else
    $ChainZoom = false;
}

};

activatePackage(ChainFOV);
